-- Schema: C6Staging
-- Stored Procedure: RP_ST_DettaglioPosizionePortafoglio

CREATE procedure [C6Staging].[RP_ST_DettaglioPosizionePortafoglio] as

begin 

	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettaglioPosizionePortafoglio',
		GETDATE(),
		'Elaborazione giornaliera'
	)

	truncate table c6staging.RP_DettaglioPosizionePortafoglio

	insert into c6staging.RP_DettaglioPosizionePortafoglio (
	  [chiavePosizionePtf]
	   ,[ctv]
      ,[copertura]
      ,[ctvNonAllocabile]
      ,[quantitaNominale]
      ,[partitaViaggiante]
      ,[ctvOut]
      ,[ctvIni]
      ,[dtSaldo]
           )
	
	select 
	[chiavePosizionePtf]
    ,[ctv]
      ,[copertura]
      ,[ctvNonAllocabile]
      ,[quantitaNominale]
      ,[partitaViaggiante]
      ,[ctvOut]
      ,[ctvIni]
      ,[dtSaldo] 
      
      from [CONSUNI].[ConsulenzaUnica].dbo.DettaglioPosizionePortafoglio
	
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettaglioPosizionePortafoglio' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettaglioPosizionePortafoglio'
		)
	
end



